Subject: Re: [DNSOP] I-D Action: draft-ietf-dnsop-dns-terminology-00.txt

From: Bob Harold <[email-masked]>
Date: Thu, 16 Apr 2015 16:10:53 -0400

On Tue, Apr 14, 2015 at 8:28 PM, <[email-masked]> wrote:

>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
>  This draft is a work item of the Domain Name System Operations Working
> Group of the IETF.
>
>         Title           : DNS Terminology
>         Authors         : Paul Hoffman
>                           Andrew Sullivan
>                           Kazunori Fujiwara
>         Filename        : draft-ietf-dnsop-dns-terminology-00.txt
>         Pages           : 20
>         Date            : 2015-04-14
>
> Abstract:
>    The DNS is defined in literally dozens of different RFCs.  The
>    terminology used in by implementers and developers of DNS protocols,
>    and by operators of DNS systems, has sometimes changed in the decades
>    since the DNS was first defined.  This document gives current
>    definitions for many of the terms used in the DNS in a single
>    document.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-dnsop-dns-terminology/
>
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-ietf-dnsop-dns-terminology-00
>
>
A few concerns:

Stealth server -- This is the same as a slave server except that it
   is not listed in an NS resource record for the zone.  (Quoted from
   [RFC1996], section 2.1) A stealth server is often actually a master
   for zone transfers, and in that case is called a "hidden master".

A Stealth server is often a primary master, which I believe is *not* "the
same as a slave server", but rather a separate case.  A Stealth server can
be master or slave.
-- By the way -- the document says that "master/slave" are the old terms
and we should be using "primary/secondary" - or does that not apply to some
uses?

 In-bailiwick - 1.  An adjective to describe a name server the name of
   which is either subordinate to or (rarely) the same as the zone
   origin.  In-bailiwick name servers require glue in their parent zone.
   2.  Data for which the server is either authoritative, or else
   authoritative for an ancestor of the owner name.  This sense of the
   term normally is used when discussing the relevancy of glue records
   in a response.  For example, the server for the parent zone
   example.com might reply with glue records for ns.child.example.com.
   Because the child.example.com zone is a descendant of the example.com
   zone, both glue records are in-bailiwick.

In the last sentence "both" seems out of place, I think "the" would be
better.

-- 
Bob Harold

---

From: Andrew Sullivan <[email-masked]>
Date: Sun, 19 Apr 2015 01:15:12 -0400

Hi,

> same as a slave server", but rather a separate case.  A Stealth server can

I know people use it that way, but the definition in RFC1996 is what
it is and we mostly try to cleave to that.  I think what you're
talking about is exactly the "hidden master" in the text already, no?

> In the last sentence "both" seems out of place, I think "the" would be

Good catch, thanks.

A

-- 
Andrew Sullivan
[email-masked]

---

From: Bob Harold <[email-masked]>
Date: Mon, 20 Apr 2015 11:06:11 -0400

> talking about is exactly the "hidden master" in the text already, no?

"same as slave" and "often actually a master" seems like a contradiction to
me.  But if we are quoting, then I guess we cannot fix it.

> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop
>